Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.xensource.xenapi
Enum Types.Cls

    java.lang.Object
      java.lang.Enum<Types.Cls>
          com.xensource.xenapi.Types.Cls

All Implemented Interfaces:
  Serializable, Comparable<Types.Cls>

Enclosing class:
  Types

    public static enum Types.Cls

extends Enum<Types.Cls>

Enum Constant Summary
`HOST` Host
`POOL` Pool
`SR` SR
`UNRECOGNIZED` The value does not belong to this enumeration
`VM` VM
`VMPP` VMPP

Method Summary
`String` | `toString()`
`static Types.Cls` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Types.Cls[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNRECOGNIZED

    public static final Types.Cls UNRECOGNIZED

  The value does not belong to this enumeration

### VM

    public static final Types.Cls VM

  VM

### HOST

    public static final Types.Cls HOST

  Host

### SR

    public static final Types.Cls SR

  SR

### POOL

    public static final Types.Cls POOL

  Pool

### VMPP

    public static final Types.Cls VMPP

  VMPP

Method Detail

### values

    public static Types.Cls[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Types.Cls c : Types.Cls.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Types.Cls valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<Types.Cls>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD